-- Version: 9.0 SP1 9.0.2.9

library ieee;
use ieee.std_logic_1164.all;
library smartfusion;
use smartfusion.all;

entity TUTORIAL1_TOP is

    port( UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic;
          MSS_RESET_N : in    std_logic;
          M2F_GPO_24  : out   std_logic;
          M2F_GPO_25  : out   std_logic;
          M2F_GPO_27  : out   std_logic;
          M2F_GPO_26  : out   std_logic
        );

end TUTORIAL1_TOP;

architecture DEF_ARCH of TUTORIAL1_TOP is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component Tutorial1
    port( UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic := 'U';
          MSS_RESET_N : in    std_logic := 'U';
          M2F_GPO_27  : out   std_logic;
          M2F_GPO_26  : out   std_logic;
          M2F_GPO_25  : out   std_logic;
          M2F_GPO_24  : out   std_logic
        );
  end component;

    signal GND_net, VCC_net : std_logic;

begin 


    \VCC\ : VCC
      port map(Y => VCC_net);
    
    \GND\ : GND
      port map(Y => GND_net);
    
    Tutorial1_0 : Tutorial1
      port map(UART_0_TXD => UART_0_TXD, UART_0_RXD => UART_0_RXD, 
        MSS_RESET_N => MSS_RESET_N, M2F_GPO_27 => M2F_GPO_27, 
        M2F_GPO_26 => M2F_GPO_26, M2F_GPO_25 => M2F_GPO_25, 
        M2F_GPO_24 => M2F_GPO_24);
    

end DEF_ARCH; 
